
from utils import *

@dec_measure(">run_sequential")
@dec_print("Using sequential approach")
def run_sequential(num_files):


    # 1. READ files with format [int]_input.bin
    data = []
    for i in range(num_files):
        print("Reading input file", i+1 , "/", num_files)
        aux = Path(f"{i}_input.bin")
        data.extend(read_binary_file(aux))
    
    print(len(data))

    # 2. COMPUTE average and sum of all elements of the inputs 

    # 2.2 Compute SAXPY
    a = data[::2]
    b = data[1::2]
    r = []
    
    waste_time_rand()

    for i, j in zip(a, b):
        r.append((33 * i) + j)

    waste_time(1)

    with open("results.bin", 'wb') as f:
        for num in r:
            f.write(struct.pack('f', num))

    waste_time_rand()
    # 3. WRITE RESULTS
    ret = sum(r)
    print("RESULTS:", ret)